org.mariadb.jdbc.internal.packet.send

## Class SendPamAuthPacket.RequestFocusListener

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.send.SendPamAuthPacket.RequestFocusListener

All Implemented Interfaces:
  EventListener, AncestorListener

Enclosing class:
  SendPamAuthPacket

    public class SendPamAuthPacket.RequestFocusListener
    extends Object
    implements AncestorListener

Force focus to input field.

### Constructor Summary

Constructors
Constructor and Description
`RequestFocusListener()`
`RequestFocusListener(boolean removeListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `ancestorAdded(AncestorEvent ancestorEvent)`
`void` `ancestorMoved(AncestorEvent ancestorEvent)`
`void` `ancestorRemoved(AncestorEvent ancestorEvent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestFocusListener

    public RequestFocusListener()

#### RequestFocusListener

    public RequestFocusListener(boolean removeListener)

### Method Detail

#### ancestorAdded

    public void ancestorAdded(AncestorEvent ancestorEvent)

Specified by:
  `ancestorAdded` in interface `AncestorListener`

#### ancestorMoved

    public void ancestorMoved(AncestorEvent ancestorEvent)

Specified by:
  `ancestorMoved` in interface `AncestorListener`

#### ancestorRemoved

    public void ancestorRemoved(AncestorEvent ancestorEvent)

Specified by:
  `ancestorRemoved` in interface `AncestorListener`